# Github OpenID Connect / Oauth2.0 support
Adds Github as an identity provider for user authentication and registration.

## Pre-configuration
Github requires that you create a client key specific to your installation to authenticate with the Github API. 
To do this, follow the instructions to register a new application, here: <https://developer.github.com/v3/oauth/> or go to <https://github.com/settings/applications/new> to register an application directly.

When prompted, use the values listed below:

**Name**<br>
*\<e.g. My Company The Bug Genie installation\>*<br>
**Homepage URL**<br>
*\<http[s]://your.thebuggenie.com\>*<br>
**Authorization callback URL**<br>
\<http[s]://your.thebuggenie.com\>/oauth2_github/login 

## Installation
Either install from the modules section in The Bug Genie configuration, or download and install from
[thebuggenie.com » Addons » Github authentication](http://thebuggenie.com/addons/oauth2_github)
